# ocaml

OCaml is a general-purpose programming language, designed with program safety and reliability in mind.
It is very expressive, yet easy to learn and use.
OCaml supports functional, imperative, and object-oriented programming styles.

It has been developed and distributed by INRIA, France's national research institute for computer science, since 1985.

This package provides in particular the following tools:
 * ocamlc: the OCaml batch compiler,
 * ocamlopt: the OCaml high-performance native-code compiler,
 * ocamldep: the dependency generator (in a format suitable for the make utility),
 * ocaml: the interactive (command-line) toplevel system,
 * ocamlmktop: builds OCaml toplevels that contain user code preloaded at start-up,
 * ocamllex: the OCaml lexical analyser, very close to lex,
 * ocamlyacc: the OCaml parser generator, in the style yacc.
 * ocamldebug: the OCaml source-level replay debugger,
 * ocamlprof: the OCaml profiling tool,
     for programs compiled in profiling mode by using either
     ocamlcp: the front-end to the ocamlc compiler
      or
     ocamloptp: the front-end to the ocamlopt compiler,
 * ocamlbuild:
     automates the compilation of most OCaml projects with minimal user intervention,
 * ocamlmklib: a tool for building mixed C/OCaml libraries
 * ocamlobjinfo: a tool for displaying informations on files

